> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Linked Apps API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Use this API to retrieve all apps linked to a universal or parent app.

| Field             | Value                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/1.1/public/bot/{{streamId}}/universalbot/link?language=en`                                                |
| **Content Type**  | `application/json`                                                                                                              |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| **API Scope**     | App Builder: Get linked App details; Admin Console: Getlinkedbotdetails                                                         |

## Path Parameters

| Parameter  | Description                                                | Type             |
| ---------- | ---------------------------------------------------------- | ---------------- |
| `host`     | Environment URL, for example, `https://platform.kore.ai`.  | string, required |
| `streamId` | App ID or Stream ID. Access it from the App Settings page. | string, required |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/api/1.1/public/bot/{{streamId}}/universalbot/link?language=en' \
--header 'bot-language: en' \
--header 'Accept: application/json' \
--header 'state: configured' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'app-language: en' \
--header 'client-app: unified' \
--header 'auth: {{jwt_token}}'
```

## Request Headers

| Header         | Description                                          | Required |
| -------------- | ---------------------------------------------------- | -------- |
| `bot-language` | Preferred language of the bot or client application. | required |
| `Accept`       | Response content types the client can process.       | required |
| `state`        | Current application or workflow state.               | required |
| `Content-Type` | Type of the request body.                            | required |
| `app-language` | Application UI language preference.                  | required |
| `client-app`   | Source application making the request.               | required |
| `auth`         | Authentication token.                                | required |
| `X-TimeZone`   | Client's time zone identifier.                       | optional |

## Sample Response

```json theme={null}
{
    "type": "unified",
    "appType": "unified",
    "isUXOUB": true,
    "isDialogGPTEnabled": true,
    "configuredLinkedApps": [
        {
            "_id": "st-a37e1091-a381-5c55-b498-2c2fbe6xxxxx",
            "name": "ABR",
            "defaultLanguage": "en",
            "appType": "unified",
            "type": "default",
            "status": 1,
            "isDialogGPTEnabled": false,
            "configuredVersion": 1765345178,
            "publishedVersion": "1744860968"
        }
    ],
    "publishedLinkedApps": [
        {
            "_id": "st-a37e1091-a381-5c55-b498-2c2fbe6xxxxx",
            "name": "ABR",
            "defaultLanguage": "en",
            "appType": "unified",
            "type": "default",
            "status": 1,
            "isDialogGPTEnabled": false,
            "configuredVersion": 1765345178,
            "publishedVersion": "1744860968"
        }
    ],
    "uxoUBConfigured": {
        "linkedApps": ["st-a37e1091-a381-5c55-b498-2c2fbe6xxxxx"],
        "isUXOUB": true
    },
    "uxoUBPublished": {
        "linkedApps": ["st-a37e1091-a381-5c55-b498-2c2fbe6xxxxx"],
        "isUXOUB": true
    }
}
```

## Response Parameters

| Parameter                                | Description                                                                       | Type           |
| ---------------------------------------- | --------------------------------------------------------------------------------- | -------------- |
| `type`                                   | Overall application category.                                                     | string         |
| `appType`                                | Application type, for example `unified`.                                          | string         |
| `isUXOUB`                                | Whether the universal/parent app is enabled at the root level.                    | boolean        |
| `isDialogGPTEnabled`                     | Whether DialogGPT functionality is enabled.                                       | boolean        |
| `configuredLinkedApps`                   | List of applications in a configured (draft) state.                               | array          |
| `configuredLinkedApps._id`               | Unique identifier of the linked application.                                      | string         |
| `configuredLinkedApps.name`              | Display name of the application.                                                  | string         |
| `configuredLinkedApps.defaultLanguage`   | Default language code, for example `en`.                                          | string         |
| `configuredLinkedApps.status`            | Status code: `1` = active.                                                        | integer        |
| `configuredLinkedApps.configuredVersion` | Latest configured version timestamp.                                              | number         |
| `configuredLinkedApps.publishedVersion`  | Latest published version timestamp.                                               | string         |
| `publishedLinkedApps`                    | List of applications in a published state. Same fields as `configuredLinkedApps`. | array          |
| `uxoUBConfigured`                        | Universal app configuration for the configured state.                             | object         |
| `uxoUBConfigured.linkedApps`             | List of linked application IDs.                                                   | array\[string] |
| `uxoUBConfigured.isUXOUB`                | Whether the universal app is enabled for this state.                              | boolean        |
| `uxoUBPublished`                         | Universal app configuration for the published state.                              | object         |
